<?php

use EventPortal\Domain\Event\Models\Event;


/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Form::class, function () {
    return [
        'label' => 'Event',
    ];
});

$factory->state(Form::class, 'event', function () {
    $event = factory(Event::class)->create();

    return [
       'respondable_id' => $event->id,
       'respondable_type' => get_class($event),
       'label' => 'Event',
    ];
});
