<?php

namespace EventPortal\Domain\Field\Resources;

use EventPortal\Domain\Component\MakeInput;
use Illuminate\Http\Resources\Json\JsonResource;

class FieldResource extends JsonResource
{
    /**
     * @phpcsSuppress SlevomatCodingStandard.TypeHints.ParameterTypeHint.MissingNativeTypeHint
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    // phpcs:disable Generic.CodeAnalysis.UnusedFunctionParameter
    public function toArray($request): array
    {
    // phpcs:enable
        return MakeInput::fromField($this->resource)->toArray();
    }
}
